- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# NodeVisitor File Reference

`#include <osg/Node>`
`#include <osg/Matrix>`
`#include <osg/FrameStamp>`

Include dependency graph for NodeVisitor:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::NodeVisitor
| Visitor for type safe operations on osg::Nodes. More...
class | osg::NodeVisitor::DatabaseRequestHandler
| Callback for managing database paging, such as generated by PagedLOD nodes. More...
struct | osg::NodeAcceptOp
| Convenience functor for assisting visiting of arrays of osg::Node's. More...
## Defines
#define | OSG_NODEVISITOR 1

## Define Documentation

#define OSG_NODEVISITOR 1